#!/bin/bash

SEC=1
MIN=$(( 60 * $SEC ))
HOUR=$(( 60 * $MIN ))

CURRENT_TIME=$(($(date +%-H) * $HOUR + $(date +%-M) * $MIN + $(date +%-S) * $SEC))

SHUTDOWN_TIME=$(( 7 * $HOUR + 30 * $MIN))

if [ "$CURRENT_TIME" -le "$SHUTDOWN_TIME" ]
then
  WALLTIME=$(( $(date +%s) + ( $SHUTDOWN_TIME - $CURRENT_TIME ) ))
else
  WALLTIME=$(( $(date +%s) + ( $(date -d 23:59:59 +%s) - $(date +%s) + 1 ) + $SHUTDOWN_TIME ))
fi

echo "Machine_Walltime=$WALLTIME"
